Skip to main content

RC Lite API

API Description

Objective

The RC Lite API verifies and retrieves detailed information about a vehicle's RC (Registration Certificate) using the vehicle number.

InputOutput
The Vehicle Number
  • Vehicle Number
  • Chassis Number
  • Owner Name
  • Father Name
  • Owner Number
  • Registration Date
  • RTO
  • Fuel Type
  • Engine Number
  • Vehicle Class
  • CC
  • Colour
  • Weight
  • Previous Insurer
  • Insurance Upto
  • Previous Insurer PolicyNo
  • Present Address
  • Permanent Address
  • Puc Number
  • Puc Expiry
  • Manufacturing Date
  • Fit Upto
  • Tax Upto
  • Wheel Base
  • RC Status
  • Body Type
  • Seating Capacity
  • Number of Cylinders
  • Make
  • Model

API URL

https://ind-engine.thomas.hyperverge.co/v1/rcLite

API Endpoint

rcLite

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

ParameterMandatory or OptionalDescriptionAllowed Values
content-type MandatoryThis parameter defines the media type for the request payloadapplication/json
appId MandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
appKey MandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.This should be a unique value.
transactionIdMandatoryA unique identifier for tracking a Owner journeyThis should be both unique and easily associated with the Owner's journey in your application(s)

Inputs

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
Vehicle NumberThe Vehicle Number ranging between 8 to 11 digits. For example: "KA05LE7925"MandatoryNot ApplicableNot Applicable

Request

The following code shows a standard curl request for the API.

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/rcLite' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"vehicleNumber": "<Enter_the_Vehicle_Number>"
}'

Success Response

The following code is a success response from the API.

{
"status": "success",
"statusCode": "200",
"result": {
"VehicleNum": "<Vehicle_Number>",
"ChasisNo": "<Chassis_Number>",
"OwnerName": "<Name_of_the_Owner>",
"Father": "<Name_of_Father>",
"OwnerNum": "<Owner_Number>",
"RegistDate": "<Registration_Date_in_DD-MM-YYYY_Format>",
"Rto": "<Regional_Transport_Office>",
"FuelType": "<Fuel_Type>",
"EngineNo": "<Engine_Number>",
"VehicleClass": "<Vehicle_Class>",
"CC": "<Cubic_Capacity>",
"Color": "<Vehicle_Color>",
"Weight": "<Vehicle_Weight>",
"PreviousInsurer": "<Name_of_Previous_Insurer>",
"InsuranceUpto": "<Insurance_Expiry_Date_in_DD-MM-YYYY_Format>",
"PreviousInsurerPolicyNo": "<Previous_Insurer_Policy_Number>",
"PresentAddress": "<Present_Address>",
"PermanentAddress": "<Permanent_Address>",
"PucNo": "<PUC_Number>",
"PucExpiry": "<PUC_Expiry_Date_in_DD-MM-YYYY_Format>",
"ManuDate": "<Manufacturing_Date_in_MM-YYYY_Format>",
"FitUpto": "<Fitness_Certificate_Expiry_Date_in_DD-MM-YYYY_Format>",
"WheelBase": "<Wheel_Base>",
"RCStatus": "<RC_Status>",
"BodyType": "<Body_Type>",
"SeatCap": "<Seating_Capacity>",
"NoCyl": "<Number_of_Cylinders>",
"Make": "<Vehicle_Make>",
"Model": "<Vehicle_Model>"
},
"metaData": {
"requestId": "<Request_ID>"
}
}

Success Response Details

ParameterTypeDescription
statusstringThe status of the API response
statusCodeintegerThe HTTP status code of the response
VehicleNumstringThe registration number of the vehicle
ChasisNostringThe chassis number of the vehicle
OwnerNamestringThe name of the vehicle's owner
FatherstringThe name of the owner's father
OwnerNumstringThe ownership number of the vehicle
RegistDatestringThe registration date of the vehicle
RtostringThe Regional Transport Office (RTO) associated with the vehicle
FuelTypestringThe type of fuel used by the vehicle
EngineNostringThe engine number of the vehicle
VehicleClassstringThe class of the vehicle
CCstringThe cubic capacity of the vehicle
ColorstringThe color of the vehicle
WeightstringThe weight of the vehicle
PreviousInsurerstringThe name of the previous insurance provider
InsuranceUptostringThe expiration date of the previous insurance
PreviousInsurerPolicyNostringThe policy number issued by the previous insurer
PresentAddressstringThe current address of the vehicle's owner
PermanentAddressstringThe permanent address of the vehicle's owner
PucNostringThe Pollution Under Control (PUC) certificate number
PucExpirystringThe expiration date of the PUC certificate
ManuDatestringThe manufacturing date of the vehicle
FitUptostringThe validity date of the vehicle's fitness certificate
WheelBasestringThe wheelbase of the vehicle
RCStatusstringThe registration certificate status of the vehicle
BodyTypestringThe body type of the vehicle
SeatCapstringThe seating capacity of the vehicle
NoCylstringThe number of cylinders in the vehicle's engine
MakestringThe manufacturer of the vehicle
ModelstringThe model of the vehicle
requestIdstringThe unique request identifier for the API call

Failure Response

The following is a response when no matching record is found against the input parameters

{
"statusCode": 404,
"status": "failure",
"error": "Data Not Found",
}

Error Response

The following are the error responses for the API.

{
"message": "Input Validation Error: does not meet minimum length of 8",
"statusCode": 400,
"status": "failure"
}

Failure and Error Response Details

A failure or error response from the module contains a failure status, with a relevant status code and error message. The following table lists all error responses.

Status CodeError MessageError Description
400Input Validation ErrorThe entered vehicle number does not meet the minimum length of 8
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid values
429Too many requestsYou have exceeded the configured limit on the number of transactions permitted in a minute. Please contact the HyperVerge team for resolution
500Internal Server ErrorPlease check the request headers or contact the HyperVerge team for resolution
504Issue with External ServiceThe external service is not responding
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: